<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: contract/HistoryContract.vue</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: contract/HistoryContract.vue</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>&lt;template>
  &lt;div>
      &lt;!-- HEADER PARA EL HISTORIAL DEL CONTRATO -->
    &lt;div style="margin:7rem 0 3rem">
      &lt;el-header height="150px">
        &lt;ReturnButton style="z-index: 234232" :offsetArrow="20" :spanTitle="3" title="Regresar" v-on:clickEvent="returnPage('confirmado', showContract)"> &lt;/ReturnButton>
        &lt;el-row style="margin-top: 3rem" >
          &lt;el-col :span="3" :offset="20"> 
            &lt;el-button justify="end" type="primary" :disabled="statehistory === 'historial'">+ ADENDA&lt;/el-button>
          &lt;/el-col>
       &lt;/el-row>
      &lt;/el-header>
    &lt;/div>
        &lt;!-- TITULO PARA HISTORIAL  -->
    &lt;div style="margin: 4rem 9rem">
      &lt;el-row :gutter="24" class="bg-dark-gray">
        &lt;el-col :span="20">
          &lt;el-card shadow="never" class="bg-dark-gray border-none title-views text-white"> HISTORIAL DEL CONTRATO &lt;/el-card>
        &lt;/el-col>       
      &lt;/el-row>
    &lt;/div>
    &lt;div style="margin: 4rem 9rem" v-if="isHaveContractOriginalOrAdum(historySelected, 'contrato')">
      &lt;h3 class="text-orange">CONTRATO ORIGINAL &lt;/h3>
    &lt;/div>
    &lt;div style="margin: 4rem !important">
      
      &lt;el-row class='grid-container'>
        &lt;div v-if="isHaveContractOriginalOrAdum(historySelected, 'adenda')" class="bg-orange-ligth text-white" style="padding:7px 35px; margin-bottom:3rem">
          &lt;p style="font-size:20px; font-weight:700">ADENDAS&lt;/p>
        &lt;/div>
        &lt;el-col
          v-for="(contract, index) in historySelected"
          :key="index"
          style="margin-bottom: 4rem">          
          &lt;el-card :body-style="{ padding: '0px' }" class="bg-gray">
            &lt;el-row :gutter="20">
              &lt;!-- Lado izquierdo -->
              &lt;el-col :span="8" class="bg-white">
                &lt;div class="text-orange" style="margin: 2rem 3rem; font-size:20px" v-if="contract.stateContrato !== 'CONTRATO ORIGINAL' ">{{contract.stateContrato}}&lt;/div>
                &lt;div style="margin: 3rem 3rem 3rem">
                  &lt;div class="title-styles" style="margin-bottom: 3rem">{{contract.contractName}}&lt;/div>
                  &lt;div class="infoToShow__box">
                    &lt;div style="margin: 18px auto; font-size: 18px">
                      &lt;span class="infoToShow__title">&lt;strong>Cod. Registro:&lt;/strong>&lt;/span>
                      &lt;span style="color: #8F8F8F">{{contract.contractCode}}&lt;/span>
                    &lt;/div>
                    &lt;div style="margin: 18px auto; font-size: 18px">
                      &lt;span class="infoToShow__title">&lt;strong>Cod. Proveedor:&lt;/strong>&lt;/span>
                      &lt;span style="color: #8F8F8F">{{contract.providerCode}}&lt;/span>
                    &lt;/div>
                  &lt;/div>
                  &lt;div v-if="contract.typeContract !== 'Afiliación'" class= "bg-orange-ligth font-general text-white subtitle-styles box-text1" style="margin-bottom: 1rem; padding: 5px 10px">Importe Total:
                    &lt;span class="text-white">{{contract.currencySymbol}} {{contract.totalAmount}}&lt;/span>
                  &lt;/div>
                  &lt;!-- vigencia -->
                  &lt;el-table :data="historySelected[index].validity" size="medium" style="margin-top: 3rem" :header-cell-class-name="tableRowClassName">
                    &lt;el-table-column label="VIGENCIA">
                      &lt;el-table-column label="Inicio">
                       	&lt;template slot-scope="scope">
                          &lt;div style="margin-left: 10px" >
                            {{new Date( scope.row.startValidity ).toLocaleDateString('en-GB')}}
                          &lt;/div>
                        &lt;/template>
                      &lt;/el-table-column>
                      &lt;el-table-column label="Fin" prop="validityEnd">
                      	&lt;template slot-scope="scope">
                          &lt;div style="margin-left: 10px">
                            &lt;p>{{ new Date(scope.row.endValidity).toLocaleDateString('en-GB') }}&lt;/p>
                          &lt;/div>
                        &lt;/template>
                      &lt;/el-table-column>
                    &lt;/el-table-column>
                  &lt;/el-table>
                &lt;/div>
              &lt;/el-col>
              &lt;!-- Lado derecho  -->
              &lt;el-col :span="16">
                &lt;div style= "margin: 1.5rem 3rem 1.5rem 2rem">
                  &lt;div class="text-end">
                    &lt;el-button v-if="contract.canceledStatus" class="border-grey-darken text-dark-gray-2" plain>CANCELADO&lt;/el-button>
                    &lt;!-- &lt;el-button v-if="contract.pendingStatus" class="border-orange text-orange" plain   @click='confirmedContractView(contract, "pendiente")' >PENDIENTE&lt;/el-button> -->
                    &lt;el-button v-if="contract.confirmedStatus" class="border-green text-green" plain @click='confirmedContractView(contract, "prueba")' >CONFIRMADO&lt;/el-button>                 
                  &lt;/div>
                  &lt;h3>MATERIALES&lt;/h3>
                  &lt;p class="subtitle-styles" style="margin: 2rem 0">Total de Materiales: {{contract.admittedMaterials.length}}&lt;/p>
                  &lt;!-- Relación de materiales -->
                  &lt;div class="overflow-auto">
                    &lt;el-row style="margin-bottom: 1rem" v-for="(item, index) in contract.admittedMaterials" :key="index">
                      &lt;el-col :span="2">
                        &lt;p style="padding: 5px 0" class="bg-dark-gray-2 text-white text-center">{{index + 1}}&lt;/p>
                      &lt;/el-col>
                      &lt;el-col :span="21" :offset="1" class="bg-white">
                        &lt;el-row >
                          &lt;!-- :span="(contract.typeContract !== 'Afiliación')?11:16" -->
                          &lt;el-col :span="11">
                            &lt;p style="padding: 5px 0.8rem;">{{item.originalTitle}}&lt;/p>
                          &lt;/el-col>
                          &lt;el-col :span="7">
                            &lt;p class="bg-white text-material-type">({{contract.refMaterials[index].typeOfContent.substr(0,3)}})&lt;/p>
                          &lt;/el-col>
                           &lt;!-- v-if="contract.typeContract !== 'Afiliación'" -->
                          &lt;el-col :span="6">
                            &lt;p style="padding: 5px 0.8rem;" class="text-orange" :class="(Object(item.numChapters).length > 0)?'fw-500': ''">
                              &lt;span v-if="item.unitPrice !== 'Cortesía'">{{item.currencySymbol}}&lt;/span>
                              {{item.unitPrice}}
                            &lt;/p>
                          &lt;/el-col>
                        &lt;/el-row>
                         &lt;!-- &amp;&amp; contract.typeContract !== 'Afiliación' -->
                        &lt;el-row v-if="Object(item.numChapters).length > 0" class="bg-white">
                          &lt;el-row v-for="(tem, index) in item.numChapters" :key="index">
                            &lt;el-col :span="11">
                              &lt;el-row>
                                &lt;el-col :span="12">
                                  &lt;p style="padding: 5px 0.8rem;" class="f-15">
                                    &lt;span class="fw-500">Temp.:&lt;/span> {{tem.season}}
                                  &lt;/p>
                                &lt;/el-col>
                                &lt;el-col :span="12">
                                  &lt;p style="padding: 5px 0.8rem;" class="f-15">
                                    &lt;span class="fw-500">N° Cap:&lt;/span> {{tem.chapters}}
                                  &lt;/p>
                                &lt;/el-col>
                              &lt;/el-row>
                            &lt;/el-col>
                            &lt;el-col :span="7">
                              &lt;p style="padding: 5px 0.8rem; text-align: right;" class="f-15">Precio por Capítulo:&lt;/p> 
                            &lt;/el-col>
                            &lt;el-col :span="6">
                              &lt;!-- {{tem}} -->
                              &lt;p style="padding: 5px 0.8rem;" class="text-orange f-15"> 
                                &lt;span v-if="tem.chapterPrice !== 'Cortesía'">{{item.currencySymbol}}&lt;/span>
                                {{tem.chapterPrice}}
                              &lt;/p>
                            &lt;/el-col>
                            &lt;hr style="border: 0.5px solid #eceaea" v-if="Object.keys(item.numChapters).length - 1 > index">
                          &lt;/el-row>
                        &lt;/el-row>
                      &lt;/el-col>
                      
                    &lt;/el-row>       
                  &lt;/div>
                  &lt;p v-if="contract.typeContract !== 'Afiliación'" class="text-end" style="margin: 2rem 3rem 0 0">&lt;strong>Importe Total: &lt;span style="margin-left: 2rem">{{contract.currencySymbol}} {{contract.totalAmount}}&lt;/span>&lt;/strong>&lt;/p>
                &lt;/div>
              &lt;/el-col>
            &lt;/el-row>
          &lt;/el-card>
        &lt;/el-col>
      &lt;/el-row>
    &lt;/div>
  &lt;/div>    
&lt;/template>

&lt;script>

import ReturnButton from '@/components/ReturnButton.vue'
import { mapState } from 'vuex'
  /**
  * @vue-data {Object} historySelected - La adenda con la informacion actual
  * @vue-data {String} statehistory - Validacion si ya tiene mas de una adenda
  * @vue-computed {String} stateContract - Estado del contrato si es adenda o no
  * @vue-computed {Object} showContract - Datos del contrato actual, sea adenda u original
  * @vue-computed {Object} copia - Datos del contrato original
  */
  export default {
    components: {
      ReturnButton,
    },
    data() {
      return {
        statehistory: JSON.parse(this.$localStorage.get("stateH")),
        historySelected: JSON.parse(this.$localStorage.get("contratoHistory")), // objeto de historial copia
        // stateContract: this.$store.state.contractStatus,
        // showContract: this.$store.state.setInContract,
        // copia: this.$store.state.setInContract
        // stateContract: JSON.parse(this.$localStorage.get("state")),
        // showContract: JSON.parse(this.$localStorage.get("aceptContract")), 
        // copia: JSON.parse(this.$localStorage.get("copiaContratoOriginal")),
      }  
    },
    methods: {
      /**
        * Valida si es el contrato original o una de las adendas de la lista
        * @param {Object} history - Los datos de la adenda o contrato original
        * @param {String} conditional - Cadena que filtra si es contrato original o adenda
        */
      isHaveContractOriginalOrAdum(history, conditional) {
        // console.log({history, conditional})
        let text = "CONTRATO ORIGINAL"
        let condition = conditional == 'adenda' ? `== ${text}` : `!== ${text}`
        let coincidence =  conditional == 'adenda' ? history.filter((e) => e.stateContrato !== `${text}`) : history.filter((e) => e.stateContrato == `${text}`)
        let result =  Boolean(coincidence.length)
        return result
      },
      returnPage(estado, contract) { // condicional para saber a que vista se va a redirigir 
       if(this.stateContract === 'prueba' || this.stateContract === 'confirmado') {
          // this.$localStorage.set('aceptContract', JSON.stringify(this.copia))
          this.$store.dispatch('setContract', this.copia)
          this.$router.push({ name: 'confirmedContract' })
       }
       else {
         this.$store.dispatch('setContractStatus', estado)
        //  this.$localStorage.set('state', JSON.stringify(estado)) 
         this.$router.push({ name: 'contract' })
       } 
      },
     tableRowClassName ({row, rowIndex}) {
        if (rowIndex === 0) {
          return 'first-row-header';
        }     
        if (rowIndex === 1) {
          return 'second-row-header';
        }
      },
      /**
        * Trae los datos de la adenda o el contrato en que se quiere ingresar para obternerlos desde el historial
        * @param {Object} contract - datos del contrato original o adenda seleccionada
        * @param {String} estado - Filtra el estado de la adenda o contrato
        */
      confirmedContractView(contract, estado) {
        this.$store.dispatch('setContract', contract)
        this.$store.dispatch('setContractStatus', estado)
        this.$router.push({name: 'confirmedContract' })
      },
    },
    computed: {
      ...mapState({
      stateContract: state => state.contractStatus,
      showContract: state => state.setInContract,
      copia: state => state.contractOriginal
    }),
    }
  }
&lt;/script>

&lt;style scoped>
  .titleSection{
    background: #4A4A4A;
    color: white;
    padding: 10px 10px 10px 35px;
    text-transform: uppercase;
    font-weight: 400;
    margin: 40px auto;
    font-size: 18px;
  }
  .text-material-type{
    padding: 5px 0.8rem;
    color: #828282;
    text-transform: uppercase;
    text-align: right;
  }
  .f-15{
    font-size: 15px;
  }
  .fw-500{
    font-weight: 500;
  }
&lt;/style>


</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-Material.html">Material</a></li><li><a href="module-Material2.html">Material2</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li><li><a href="module-NewMaterial2.html">NewMaterial2</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Aug 11 2021 17:08:52 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
